# Check Account Domain

Use this endpoint to check account domain ownership. The domain is verified with the `verifyInfo` and `verifyMethod` data. You can run this check once per minute. Only unverified domains can be checked.

| Endpoint         |                                                           |
| ---------------- | --------------------------------------------------------- |
| Method           | PATCH                                                     |
| Request URL      | `/api/v1/account/{accountUuid}/domain/{domainUuid}/check` |
| **Headers**      |                                                           |
| Authorization \* | Bearer TOKEN                                              |
| Content-Type     | application/json                                          |
| **Request**      |                                                           |
| accountUuid \*   | Target account UUID                                       |
| domainUuid \*    | Account domain UUID                                       |

### **Response example**

The response is returned only if the domain is unverified and the verification period has not expired yet. Domains that become verified will have the `INACTIVE` status.

```
{
    "uuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "accountUuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "domain": "google.com",
    "status": "INACTIVE",
    "verifyInfo" : {
        "domain": "_whitedoc-verify",
        "value": "abc123"
    },
    "verifyMethod": "DNS_TXT_RECORD"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://support.docstudio.com/docstudio-docs/docstudio-for-developers/api-documentation/api-methods/account-domains/check-account-domain.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
